import { SystemSettings } from '@ewizardjs/system-settings';
import { ComponentsFileProps } from '@ewizardjs/builder-utils';
import { DevBuilderOptions } from './interfaces';
export default function (systemSettings: SystemSettings, presentationPath: string, componentsProps: ComponentsFileProps, options: DevBuilderOptions): Promise<{
    include: string[];
    use: {
        loader: string;
        options: {
            blocksPath: any;
            presentationPath: string;
            componentsProps: ComponentsFileProps;
            blockManifestPath: string;
            componentManifestPath: string;
            blocksThemesPath: string;
            componentsThemesPath: string;
            masterTemplatePath: any;
            currentTheme: string | undefined;
        };
    }[];
}[]>;
